#pragma once

#include <forward_list>
#include <string>

using std::string, std::string_view, std::forward_list;

class Finder {
public:
  virtual ~Finder() = default;

  virtual forward_list<const string *>
  find_prefix(string_view search_term) const = 0;
};
